diff -u -r -N squid-3.1.10/ChangeLog squid-3.1.11/ChangeLog
--- squid-3.1.10/ChangeLog	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/ChangeLog	2011-02-08 17:05:51.000000000 +1300
@@ -1,3 +1,24 @@
+Changes to squid-3.1.11 (08 Feb 2011):
+
+	- Bug 3149: not caching eCAP adapted body
+	- Bug 3144: redirector program blocks while reading STDIN
+	- Bug 3140: memory leak in error page generation
+	- Bug 3137: RADIUS auth helper does not send identifier to RADIUS server
+	- Bug 3115: logging segfaults if access_log is set to a directory
+	- Bug 2968: Show the Vary: headers information in cachemgr objects report
+	- Bug 2959: remove SAMBAPREFIX dependency
+	- Bug 2868: icc doesn't like string literal in assert checks
+	- HTTP/1.1: Send 307 status on deny_info redirection
+	- HTTP/1.1: Support POST/PUT with no body
+	- HTTP/1.1: Allow persistent connections for Mozilla/3.0 User-Agents
+	- Support RFC 5861 Cache-Control: stale-if-error option
+	- Add ftp_eprt directive to disable EPRT extensions in FTP
+	- Fix external_acl_type grace=0 to obey TTL
+	- Fix IP/FQDN cache accounting to avoid idle caches on busy servers
+	- Prevent pipeline_prefetch misconfigurations breaking NTLM/Negotiate auth
+	- ... and some documentation updates and corrections
+	- ... and some portability and stability fixes
+
 Changes to squid-3.1.10 (22 Dec 2010):
 
 	- Bug 3121: memory leak in DigestAuth: AuthUser object is locked twice
diff -u -r -N squid-3.1.10/configure squid-3.1.11/configure
--- squid-3.1.10/configure	2010-12-22 18:48:27.000000000 +1300
+++ squid-3.1.11/configure	2011-02-08 17:07:06.000000000 +1300
@@ -1,7 +1,7 @@
 #! /bin/sh
 # From configure.ac Revision.
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.68 for Squid Web Proxy 3.1.10.
+# Generated by GNU Autoconf 2.68 for Squid Web Proxy 3.1.11.
 #
 # Report bugs to <http://www.squid-cache.org/bugs/>.
 #
@@ -575,8 +575,8 @@
 # Identity of this package.
 PACKAGE_NAME='Squid Web Proxy'
 PACKAGE_TARNAME='squid'
-PACKAGE_VERSION='3.1.10'
-PACKAGE_STRING='Squid Web Proxy 3.1.10'
+PACKAGE_VERSION='3.1.11'
+PACKAGE_STRING='Squid Web Proxy 3.1.11'
 PACKAGE_BUGREPORT='http://www.squid-cache.org/bugs/'
 PACKAGE_URL=''
 
@@ -702,13 +702,13 @@
 USE_ICAP_CLIENT_FALSE
 USE_ICAP_CLIENT_TRUE
 XMLLIB
+EXPATLIB
+USE_ESI_FALSE
+USE_ESI_TRUE
 HAVE_LIBXML2_FALSE
 HAVE_LIBXML2_TRUE
-EXPATLIB
 HAVE_LIBEXPAT_FALSE
 HAVE_LIBEXPAT_TRUE
-USE_ESI_FALSE
-USE_ESI_TRUE
 USE_DELAY_POOLS_FALSE
 USE_DELAY_POOLS_TRUE
 ENABLE_PINGER_FALSE
@@ -1536,7 +1536,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures Squid Web Proxy 3.1.10 to adapt to many kinds of systems.
+\`configure' configures Squid Web Proxy 3.1.11 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1606,7 +1606,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of Squid Web Proxy 3.1.10:";;
+     short | recursive ) echo "Configuration of Squid Web Proxy 3.1.11:";;
    esac
   cat <<\_ACEOF
 
@@ -1934,7 +1934,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-Squid Web Proxy configure 3.1.10
+Squid Web Proxy configure 3.1.11
 generated by GNU Autoconf 2.68
 
 Copyright (C) 2010 Free Software Foundation, Inc.
@@ -2945,7 +2945,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by Squid Web Proxy $as_me 3.1.10, which was
+It was created by Squid Web Proxy $as_me 3.1.11, which was
 generated by GNU Autoconf 2.68.  Invocation command line was
 
   $ $0 $@
@@ -3764,7 +3764,7 @@
 
 # Define the identity of the package.
  PACKAGE='squid'
- VERSION='3.1.10'
+ VERSION='3.1.11'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -18298,19 +18298,7 @@
       as_fn_error $? "Required library libxml2 is not able to be found." "$LINENO" 5
     fi
   fi
-
-else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: Disabling ESI processor and Surrogate header support." >&5
-$as_echo "$as_me: Disabling ESI processor and Surrogate header support." >&6;}
 fi
- if test "$use_esi" = "yes"; then
-  USE_ESI_TRUE=
-  USE_ESI_FALSE='#'
-else
-  USE_ESI_TRUE='#'
-  USE_ESI_FALSE=
-fi
-
  if test $HAVE_LIBEXPAT = 1; then
   HAVE_LIBEXPAT_TRUE=
   HAVE_LIBEXPAT_FALSE='#'
@@ -18319,7 +18307,6 @@
   HAVE_LIBEXPAT_FALSE=
 fi
 
-
  if test $HAVE_LIBXML2 = 1; then
   HAVE_LIBXML2_TRUE=
   HAVE_LIBXML2_FALSE='#'
@@ -18328,6 +18315,15 @@
   HAVE_LIBXML2_FALSE=
 fi
 
+ if test "x$use_esi" = "xyes"; then
+  USE_ESI_TRUE=
+  USE_ESI_FALSE='#'
+else
+  USE_ESI_TRUE='#'
+  USE_ESI_FALSE=
+fi
+
+
 
 
  if false; then
@@ -27523,10 +27519,6 @@
   as_fn_error $? "conditional \"USE_DELAY_POOLS\" was never defined.
 Usually this means the macro was only invoked conditionally." "$LINENO" 5
 fi
-if test -z "${USE_ESI_TRUE}" && test -z "${USE_ESI_FALSE}"; then
-  as_fn_error $? "conditional \"USE_ESI\" was never defined.
-Usually this means the macro was only invoked conditionally." "$LINENO" 5
-fi
 if test -z "${HAVE_LIBEXPAT_TRUE}" && test -z "${HAVE_LIBEXPAT_FALSE}"; then
   as_fn_error $? "conditional \"HAVE_LIBEXPAT\" was never defined.
 Usually this means the macro was only invoked conditionally." "$LINENO" 5
@@ -27535,6 +27527,10 @@
   as_fn_error $? "conditional \"HAVE_LIBXML2\" was never defined.
 Usually this means the macro was only invoked conditionally." "$LINENO" 5
 fi
+if test -z "${USE_ESI_TRUE}" && test -z "${USE_ESI_FALSE}"; then
+  as_fn_error $? "conditional \"USE_ESI\" was never defined.
+Usually this means the macro was only invoked conditionally." "$LINENO" 5
+fi
 if test -z "${USE_ICAP_CLIENT_TRUE}" && test -z "${USE_ICAP_CLIENT_FALSE}"; then
   as_fn_error $? "conditional \"USE_ICAP_CLIENT\" was never defined.
 Usually this means the macro was only invoked conditionally." "$LINENO" 5
@@ -28049,7 +28045,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by Squid Web Proxy $as_me 3.1.10, which was
+This file was extended by Squid Web Proxy $as_me 3.1.11, which was
 generated by GNU Autoconf 2.68.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -28115,7 +28111,7 @@
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
 ac_cs_version="\\
-Squid Web Proxy config.status 3.1.10
+Squid Web Proxy config.status 3.1.11
 configured by $0, generated by GNU Autoconf 2.68,
   with options \\"\$ac_cs_config\\"
 
diff -u -r -N squid-3.1.10/configure.ac squid-3.1.11/configure.ac
--- squid-3.1.10/configure.ac	2010-12-22 18:48:27.000000000 +1300
+++ squid-3.1.11/configure.ac	2011-02-08 17:07:06.000000000 +1300
@@ -2,7 +2,7 @@
 dnl
 dnl  $Id$
 dnl
-AC_INIT([Squid Web Proxy],[3.1.10],[http://www.squid-cache.org/bugs/],[squid])
+AC_INIT([Squid Web Proxy],[3.1.11],[http://www.squid-cache.org/bugs/],[squid])
 AC_PREREQ(2.61)
 AC_CONFIG_HEADERS([include/autoconf.h])
 AC_CONFIG_AUX_DIR(cfgaux)
@@ -927,14 +927,11 @@
       AC_MSG_ERROR([Required library libxml2 is not able to be found.])
     fi
   fi
-
-else
-  AC_MSG_NOTICE([Disabling ESI processor and Surrogate header support.])
 fi
-AM_CONDITIONAL(USE_ESI, test "$use_esi" = "yes")
 AM_CONDITIONAL(HAVE_LIBEXPAT, test $HAVE_LIBEXPAT = 1)
-AC_SUBST(EXPATLIB)
 AM_CONDITIONAL(HAVE_LIBXML2, test $HAVE_LIBXML2 = 1)
+AM_CONDITIONAL(USE_ESI, test "x$use_esi" = "xyes")
+AC_SUBST(EXPATLIB)
 AC_SUBST(XMLLIB)
 
 AM_CONDITIONAL(USE_ICAP_CLIENT, false)
diff -u -r -N squid-3.1.10/errors/af/ERR_GATEWAY_FAILURE squid-3.1.11/errors/af/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/af/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/af/ERR_GATEWAY_FAILURE	2011-02-08 17:09:17.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: Die aangevraagde URL kon nie verkry word nie</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Die volgende fout is teëgekom tydens verkryging van die URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Die kasbediener se administrateur is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereer op %T deur %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/ar/ERR_GATEWAY_FAILURE squid-3.1.11/errors/ar/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/ar/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/ar/ERR_GATEWAY_FAILURE	2011-02-08 17:09:46.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/az/ERR_GATEWAY_FAILURE squid-3.1.11/errors/az/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/az/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/az/ERR_GATEWAY_FAILURE	2011-02-08 17:10:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/bg/ERR_GATEWAY_FAILURE squid-3.1.11/errors/bg/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/bg/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/bg/ERR_GATEWAY_FAILURE	2011-02-08 17:10:45.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ГРЕШКА: Заявеният адрес е недостъпен.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Възникна следната грешка при опит за достъп до: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Вашият кеш администратор е <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Генерирано на %T от %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/ca/ERR_GATEWAY_FAILURE squid-3.1.11/errors/ca/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/ca/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/ca/ERR_GATEWAY_FAILURE	2011-02-08 17:11:19.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: No es pot mostrar la URL que heu sol.licitat</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>No es pot mostrar la URL que heu sol.licitat</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>L'administrador d'aquesta cache &eacute;s <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/cs/ERR_GATEWAY_FAILURE squid-3.1.11/errors/cs/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/cs/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/cs/ERR_GATEWAY_FAILURE	2011-02-08 17:11:50.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/da/ERR_GATEWAY_FAILURE squid-3.1.11/errors/da/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/da/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/da/ERR_GATEWAY_FAILURE	2011-02-08 17:12:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FEJL: Den angivne URL kunne ikke hentes</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/de/ERR_GATEWAY_FAILURE squid-3.1.11/errors/de/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/de/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/de/ERR_GATEWAY_FAILURE	2011-02-08 17:12:39.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FEHLER: Die angeforderte URL konnte nicht gefunden werden</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Der folgende Fehler wurde beim Versuch die URL <a href="%U">%U</a> zu holen festgestellt:</p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Ihr Cache Administrator ist <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Erzeugt am %T von %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/el/ERR_GATEWAY_FAILURE squid-3.1.11/errors/el/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/el/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/el/ERR_GATEWAY_FAILURE	2011-02-08 17:13:08.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ΣΦΑΛΜΑ: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Ο διαχειριστής του μεσολαβητή σας είναι ο <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/en/ERR_GATEWAY_FAILURE squid-3.1.11/errors/en/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/en/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/en/ERR_GATEWAY_FAILURE	2011-02-08 17:13:37.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/es/ERR_GATEWAY_FAILURE squid-3.1.11/errors/es/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/es/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/es/ERR_GATEWAY_FAILURE	2011-02-08 17:14:13.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: El URL solicitado no se ha podido conseguir</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>El URL solicitado no se ha podido conseguir</h2> </div> <hr>  <div id="content"> <p>Se encontró el siguiente error al intentar recuperar la dirección URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Su administrador del cach&eacute; es <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generado %T por %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/et/ERR_GATEWAY_FAILURE squid-3.1.11/errors/et/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/et/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/et/ERR_GATEWAY_FAILURE	2011-02-08 17:14:50.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/fa/ERR_GATEWAY_FAILURE squid-3.1.11/errors/fa/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/fa/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/fa/ERR_GATEWAY_FAILURE	2011-02-08 17:15:27.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطا: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%T توسط %h(%s) تولید شد.</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/fi/ERR_GATEWAY_FAILURE squid-3.1.11/errors/fi/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/fi/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/fi/ERR_GATEWAY_FAILURE	2011-02-08 17:15:59.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/fr/ERR_GATEWAY_FAILURE squid-3.1.11/errors/fr/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/fr/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/fr/ERR_GATEWAY_FAILURE	2011-02-08 17:16:34.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERREUR: L'URL demandée n'a pas pu être trouvé</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>En essayant d'accéder à l'URL <a href="%U">%U</a> l'erreur suivante a été rencontrée :</p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Votre administrateur proxy est <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Générer le %T en %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/he/ERR_GATEWAY_FAILURE squid-3.1.11/errors/he/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/he/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/he/ERR_GATEWAY_FAILURE	2011-02-08 17:17:06.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>שגיאה: לא ניתן לגשת אל הכתובת המבוקשת</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>מנהל השרת הוא <a href="mailto:%w%W">%w</a>. </p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/hu/ERR_GATEWAY_FAILURE squid-3.1.11/errors/hu/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/hu/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/hu/ERR_GATEWAY_FAILURE	2011-02-08 17:17:43.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HIBA: A kért URL nem tölthető le</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/hy/ERR_GATEWAY_FAILURE squid-3.1.11/errors/hy/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/hy/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/hy/ERR_GATEWAY_FAILURE	2011-02-08 17:18:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL-ն հնարավոր չէ ստանալ</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>URL-ի ստացման ընթացքում առաջացավ հետևյալ սխալը: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Ստեղծված է %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/id/ERR_GATEWAY_FAILURE squid-3.1.11/errors/id/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/id/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/id/ERR_GATEWAY_FAILURE	2011-02-08 17:18:57.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/it/ERR_GATEWAY_FAILURE squid-3.1.11/errors/it/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/it/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/it/ERR_GATEWAY_FAILURE	2011-02-08 17:19:32.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERRORE: Non è stato possibile accedere alla URL richiesta.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Mentre si cercava di accedere alla URL <a href="%U">%U</a> si è presentato il seguente errore:</p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>L'amministratore del proxy è <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generato da %h (%s) il %T.</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/ja/ERR_GATEWAY_FAILURE squid-3.1.11/errors/ja/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/ja/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/ja/ERR_GATEWAY_FAILURE	2011-02-08 17:20:10.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%Tに%h (%s)が生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/ko/ERR_GATEWAY_FAILURE squid-3.1.11/errors/ko/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/ko/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/ko/ERR_GATEWAY_FAILURE	2011-02-08 17:20:45.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>에러: 요청된 URL을 가져올 수 없습니다.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/lt/ERR_GATEWAY_FAILURE squid-3.1.11/errors/lt/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/lt/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/lt/ERR_GATEWAY_FAILURE	2011-02-08 17:21:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/lv/ERR_GATEWAY_FAILURE squid-3.1.11/errors/lv/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/lv/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/lv/ERR_GATEWAY_FAILURE	2011-02-08 17:21:43.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Kļūda: Nevar atvērt pieprasīto adresi.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Iestājusies sekojoša kļūda mēģinot atvērt adresi: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Jūsu kešatmiņas administrators ir <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Ģenerēts %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/Makefile.am squid-3.1.11/errors/Makefile.am
--- squid-3.1.10/errors/Makefile.am	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/errors/Makefile.am	2011-02-08 17:05:51.000000000 +1300
@@ -29,6 +29,7 @@
 	templates/ERR_FTP_PUT_ERROR \
 	templates/ERR_FTP_PUT_MODIFIED \
 	templates/ERR_FTP_UNAVAILABLE \
+	templates/ERR_GATEWAY_FAILURE \
 	templates/ERR_ICAP_FAILURE \
 	templates/ERR_INVALID_REQ \
 	templates/ERR_INVALID_RESP \
diff -u -r -N squid-3.1.10/errors/Makefile.in squid-3.1.11/errors/Makefile.in
--- squid-3.1.10/errors/Makefile.in	2010-12-22 18:47:42.000000000 +1300
+++ squid-3.1.11/errors/Makefile.in	2011-02-08 17:06:28.000000000 +1300
@@ -268,6 +268,7 @@
 	templates/ERR_FTP_PUT_ERROR \
 	templates/ERR_FTP_PUT_MODIFIED \
 	templates/ERR_FTP_UNAVAILABLE \
+	templates/ERR_GATEWAY_FAILURE \
 	templates/ERR_ICAP_FAILURE \
 	templates/ERR_INVALID_REQ \
 	templates/ERR_INVALID_RESP \
diff -u -r -N squid-3.1.10/errors/ms/ERR_GATEWAY_FAILURE squid-3.1.11/errors/ms/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/ms/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/ms/ERR_GATEWAY_FAILURE	2011-02-08 17:22:18.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>RALAT: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Pengurus Proxy anda ialah <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Dibuat pada %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/nl/ERR_GATEWAY_FAILURE squid-3.1.11/errors/nl/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/nl/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/nl/ERR_GATEWAY_FAILURE	2011-02-08 17:22:54.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/oc/ERR_GATEWAY_FAILURE squid-3.1.11/errors/oc/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/oc/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/oc/ERR_GATEWAY_FAILURE	2011-02-08 17:23:30.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERREUR : L'URL demandada a pas pogut èsser cargada</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>L'URL demandada a pas pogut èsser cargada</h2> </div> <hr>  <div id="content"> <p>L'error seguenta s'es producha en ensajant d'accedir a l'URL : <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Vòstre administrator d'amagatal es <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generada lo %T per %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/pl/ERR_GATEWAY_FAILURE squid-3.1.11/errors/pl/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/pl/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/pl/ERR_GATEWAY_FAILURE	2011-02-08 17:24:07.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/pt/ERR_GATEWAY_FAILURE squid-3.1.11/errors/pt/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/pt/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/pt/ERR_GATEWAY_FAILURE	2011-02-08 17:25:18.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERRO: A URL solicitada não pode ser recuperada</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/pt-br/ERR_GATEWAY_FAILURE squid-3.1.11/errors/pt-br/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/pt-br/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/pt-br/ERR_GATEWAY_FAILURE	2011-02-08 17:24:43.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERRO: A URL requisitada não pôde ser recuperada</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>O seguinte erro foi encontrado ao tentar recuperar a URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Seu administrador do cache é <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gerado %T por %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/ro/ERR_GATEWAY_FAILURE squid-3.1.11/errors/ro/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/ro/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/ro/ERR_GATEWAY_FAILURE	2011-02-08 17:25:57.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi accesat</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>S-a recepţionat următoarea eroare când se încerca accesarea URL-ului: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Administratorul cache-ului este <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generat %T de către %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/ru/ERR_GATEWAY_FAILURE squid-3.1.11/errors/ru/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/ru/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/ru/ERR_GATEWAY_FAILURE	2011-02-08 17:26:26.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/sk/ERR_GATEWAY_FAILURE squid-3.1.11/errors/sk/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/sk/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/sk/ERR_GATEWAY_FAILURE	2011-02-08 17:27:00.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný URL nebolo možné získať</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Pri pokuse o získanie URL sa vyskytla nasledovná chyba: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Vaším správcom cache je <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Vytvoril %T, %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/sr-cyrl/ERR_GATEWAY_FAILURE squid-3.1.11/errors/sr-cyrl/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/sr-cyrl/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/sr-cyrl/ERR_GATEWAY_FAILURE	2011-02-08 17:27:37.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/sr-latn/ERR_GATEWAY_FAILURE squid-3.1.11/errors/sr-latn/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/sr-latn/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/sr-latn/ERR_GATEWAY_FAILURE	2011-02-08 17:28:12.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se učita</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Greška učitavanja podataka sa adrese (URL): <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generisano %T sa %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/sv/ERR_GATEWAY_FAILURE squid-3.1.11/errors/sv/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/sv/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/sv/ERR_GATEWAY_FAILURE	2011-02-08 17:28:50.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FEL: Den beg&auml;rda URL:en kunde inte h&auml;mtas</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>F&ouml;ljande fel p&aring;tr&auml;ffades vid h&auml;mtning av URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Din cacheserver administrat&ouml;r &auml;r <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Skapad %T av %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/templates/ERR_GATEWAY_FAILURE squid-3.1.11/errors/templates/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/templates/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/templates/ERR_GATEWAY_FAILURE	2011-02-08 17:05:51.000000000 +1300
@@ -0,0 +1,39 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<title>ERROR: The requested URL could not be retrieved</title>
+<style type="text/css"><!-- 
+ %l
+
+body
+:lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; }
+:lang(he) { direction: rtl; float: right; }
+ --></style>
+</head><body>
+<div id="titles">
+<h1>ERROR</h1>
+<h2>The requested URL could not be retrieved</h2>
+</div>
+<hr>
+
+<div id="content">
+<p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>
+
+<blockquote id="error">
+<p><b>Gateway Proxy Failure</b></p>
+</blockquote>
+
+<p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>
+
+<p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>
+
+<p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
+<br>
+</div>
+
+<hr>
+<div id="footer">
+<p>Generated %T by %h (%s)</p>
+<!-- %c -->
+</div>
+</body></html>
diff -u -r -N squid-3.1.10/errors/th/ERR_GATEWAY_FAILURE squid-3.1.11/errors/th/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/th/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/th/ERR_GATEWAY_FAILURE	2011-02-08 17:29:24.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: ไม่สามารถเรียกดู URL ที่ได้รับการร้องขอ</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>ไม่สามารถเรียกดู URL ที่ได้รับการร้องขอ</h2> </div> <hr>  <div id="content"> <p>พบความผิดพลาดดังต่อไปนี้ระหว่างที่พยายามเรียกดู URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>ผู้ดูแลระบบแคชของคุณคือ <a href="mailto:%w%W">%w</a></p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/tr/ERR_GATEWAY_FAILURE squid-3.1.11/errors/tr/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/tr/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/tr/ERR_GATEWAY_FAILURE	2011-02-08 17:30:00.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>URL adresine erişilmeye çalışıyorken hata meydana geldi: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Önbellk yöneticiniz <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s) tarafından %T oluşturuldu</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/uk/ERR_GATEWAY_FAILURE squid-3.1.11/errors/uk/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/uk/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/uk/ERR_GATEWAY_FAILURE	2011-02-08 17:30:36.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ПОМИЛКА: Запитаний URL не може бути отриманий.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При отриманні URL: <a href="%U">%U</a> виникла помилка.</p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Адміністратор даного кешу <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Згенеровано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/uz/ERR_GATEWAY_FAILURE squid-3.1.11/errors/uz/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/uz/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/uz/ERR_GATEWAY_FAILURE	2011-02-08 17:31:09.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ХАТО: Сўралган URL топилмади</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s) томонидан  %T яратилган</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/vi/ERR_GATEWAY_FAILURE squid-3.1.11/errors/vi/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/vi/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/vi/ERR_GATEWAY_FAILURE	2011-02-08 17:31:40.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>LỖI: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Tạo %T bởi %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/zh-cn/ERR_GATEWAY_FAILURE squid-3.1.11/errors/zh-cn/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/zh-cn/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/zh-cn/ERR_GATEWAY_FAILURE	2011-02-08 17:32:14.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/errors/zh-tw/ERR_GATEWAY_FAILURE squid-3.1.11/errors/zh-tw/ERR_GATEWAY_FAILURE
--- squid-3.1.10/errors/zh-tw/ERR_GATEWAY_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.11/errors/zh-tw/ERR_GATEWAY_FAILURE	2011-02-08 17:32:45.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>錯誤: 欲連結之網址（URL）無法正確的傳回</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gateway Proxy Failure</b></p> </blockquote>  <p>A non-recoverable internal failure or configuration problem prevents this request from being completed.</p>  <p>This may be due to limits established by the Internet Service Provider who operates this cache. Please contact them directly for more information.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.10/helpers/basic_auth/SMB/config.test squid-3.1.11/helpers/basic_auth/SMB/config.test
--- squid-3.1.10/helpers/basic_auth/SMB/config.test	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/helpers/basic_auth/SMB/config.test	2011-02-08 17:05:51.000000000 +1300
@@ -1,8 +1,10 @@
 #!/bin/sh
-for prefix in ${SAMBAPREFIX} /usr/local /opt /opt/samba /usr/local/samba /usr
+for prefix in /usr/local /opt /opt/samba /usr/local/samba /usr
 do
     if [ -x ${prefix}/bin/smbclient ]; then
         exit 0
     fi
 done
-exit 1
+echo "WARNING: Samba smbclient not found in default location. smb_auth may not work on this machine"
+# allow script install anyway.
+exit 0
diff -u -r -N squid-3.1.10/helpers/basic_auth/SMB/Makefile.am squid-3.1.11/helpers/basic_auth/SMB/Makefile.am
--- squid-3.1.10/helpers/basic_auth/SMB/Makefile.am	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/helpers/basic_auth/SMB/Makefile.am	2011-02-08 17:05:51.000000000 +1300
@@ -8,20 +8,9 @@
 
 include $(top_srcdir)/src/Common.am
 
-# SAMBAPREFIX must point to the directory where Samba has been installed.
-# By default, Samba is installed in /usr/local/samba. If you changed this
-# by using the --prefix option when configuring Samba, you need to change
-# SAMBAPREFIX accordingly.
-
-## FIXME: autoconf should test for the samba path.
-
-SMB_AUTH_HELPER	= smb_auth.sh
-SAMBAPREFIX=/usr/local/samba
-SMB_AUTH_HELPER_PATH = $(libexecdir)/$(SMB_AUTH_HELPER)
-
-libexec_SCRIPTS	= $(SMB_AUTH_HELPER)
+libexec_SCRIPTS	= smb_auth.sh
 libexec_PROGRAMS = smb_auth
-smb_auth_CFLAGS = -DSAMBAPREFIX=\"$(SAMBAPREFIX)\" -DHELPERSCRIPT=\"$(SMB_AUTH_HELPER_PATH)\"
+smb_auth_CFLAGS = -DHELPERSCRIPT=\"$(libexecdir)/smb_auth.sh\"
 EXTRA_DIST = smb_auth.sh COPYING-2.0 config.test
 
 ## we need our local files too (but avoid -I. at all costs)
diff -u -r -N squid-3.1.10/helpers/basic_auth/SMB/Makefile.in squid-3.1.11/helpers/basic_auth/SMB/Makefile.in
--- squid-3.1.10/helpers/basic_auth/SMB/Makefile.in	2010-12-22 18:47:45.000000000 +1300
+++ squid-3.1.11/helpers/basic_auth/SMB/Makefile.in	2011-02-08 17:06:30.000000000 +1300
@@ -314,16 +314,8 @@
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
 	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(am__append_1) \
 	-I$(srcdir)
-
-# SAMBAPREFIX must point to the directory where Samba has been installed.
-# By default, Samba is installed in /usr/local/samba. If you changed this
-# by using the --prefix option when configuring Samba, you need to change
-# SAMBAPREFIX accordingly.
-SMB_AUTH_HELPER = smb_auth.sh
-SAMBAPREFIX = /usr/local/samba
-SMB_AUTH_HELPER_PATH = $(libexecdir)/$(SMB_AUTH_HELPER)
-libexec_SCRIPTS = $(SMB_AUTH_HELPER)
-smb_auth_CFLAGS = -DSAMBAPREFIX=\"$(SAMBAPREFIX)\" -DHELPERSCRIPT=\"$(SMB_AUTH_HELPER_PATH)\"
+libexec_SCRIPTS = smb_auth.sh
+smb_auth_CFLAGS = -DHELPERSCRIPT=\"$(libexecdir)/smb_auth.sh\"
 EXTRA_DIST = smb_auth.sh COPYING-2.0 config.test
 LDADD = \
 	$(top_builddir)/compat/libcompat.la \
diff -u -r -N squid-3.1.10/helpers/basic_auth/SMB/smb_auth.c squid-3.1.11/helpers/basic_auth/SMB/smb_auth.c
--- squid-3.1.10/helpers/basic_auth/SMB/smb_auth.c	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/helpers/basic_auth/SMB/smb_auth.c	2011-02-08 17:05:51.000000000 +1300
@@ -194,13 +194,7 @@
 
     shcmd = debug ? HELPERSCRIPT : HELPERSCRIPT " > /dev/null 2>&1";
 
-    /* pass to helper script */
-    if (putenv("SAMBAPREFIX=" SAMBAPREFIX) != 0)
-        return 1;
-
-    while (1) {
-        if (fgets(buf, BUFSIZE, stdin) == NULL)
-            break;
+    while (fgets(buf, BUFSIZE, stdin) != NULL) {
 
         if ((s = strchr(buf, '\n')) == NULL)
             continue;
diff -u -r -N squid-3.1.10/helpers/basic_auth/SMB/smb_auth.sh squid-3.1.11/helpers/basic_auth/SMB/smb_auth.sh
--- squid-3.1.10/helpers/basic_auth/SMB/smb_auth.sh	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/helpers/basic_auth/SMB/smb_auth.sh	2011-02-08 17:05:51.000000000 +1300
@@ -47,13 +47,13 @@
   addropt=""
 fi
 echo "Query address options: $addropt"
-dcip=`$SAMBAPREFIX/bin/nmblookup $addropt "$PASSTHROUGH#1c" | awk '/^[0-9.]+ / { print $1 ; exit }'`
+dcip=`nmblookup $addropt "$PASSTHROUGH#1c" | awk '/^[0-9.]+ / { print $1 ; exit }'`
 echo "Domain controller IP address: $dcip"
 [ -n "$dcip" ] || exit 1
 
 # All right, we have the IP address of a domain controller,
 # but we need its name too
-dcname=`$SAMBAPREFIX/bin/nmblookup -A $dcip | awk '$2 == "<00>" { print $1 ; exit }'`
+dcname=`nmblookup -A $dcip | awk '$2 == "<00>" { print $1 ; exit }'`
 echo "Domain controller NETBIOS name: $dcname"
 [ -n "$dcname" ] || exit 1
 
@@ -63,7 +63,7 @@
 
 # Read the contents of the file $AUTHFILE on the $AUTHSHARE share
 authfilebs=`echo "$AUTHFILE" | tr / '\\\\'`
-authinfo=`$SAMBAPREFIX/bin/smbclient "//$dcname/$AUTHSHARE" -I $dcip -d 0 -E -W "$DOMAINNAME" -c "get $authfilebs -" 2>/dev/null`
+authinfo=`smbclient "//$dcname/$AUTHSHARE" -I $dcip -d 0 -E -W "$DOMAINNAME" -c "get $authfilebs -" 2>/dev/null`
 echo "Contents of //$dcname/$AUTHSHARE/$AUTHFILE: $authinfo"
 
 # Allow for both \n and \r\n end-of-line termination
diff -u -r -N squid-3.1.10/helpers/basic_auth/squid_radius_auth/squid_rad_auth.c squid-3.1.11/helpers/basic_auth/squid_radius_auth/squid_rad_auth.c
--- squid-3.1.10/helpers/basic_auth/squid_radius_auth/squid_rad_auth.c	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/helpers/basic_auth/squid_radius_auth/squid_rad_auth.c	2011-02-08 17:05:51.000000000 +1300
@@ -387,6 +387,7 @@
         *ptr++ = len + 2;
         memcpy(ptr, identifier, len);
         ptr += len;
+        total_length += len + 2;
     } else {
         *ptr++ = PW_NAS_IP_ADDRESS;
         *ptr++ = 6;
diff -u -r -N squid-3.1.10/helpers/external_acl/wbinfo_group/config.test squid-3.1.11/helpers/external_acl/wbinfo_group/config.test
--- squid-3.1.10/helpers/external_acl/wbinfo_group/config.test	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/helpers/external_acl/wbinfo_group/config.test	2011-02-08 17:05:51.000000000 +1300
@@ -1,12 +1,18 @@
 #!/bin/sh
-
-for sambaprefix in ${SAMBAPREFIX} /usr/local /opt /opt/samba /usr/local/samba /usr
+samba_found="no"
+for sambaprefix in /usr/local /opt /opt/samba /usr/local/samba /usr
 do
-    for perlprefix in /usr /usr/local /opt /opt/perl
-    do
-        if [ -x $sambaprefix/bin/wbinfo -a -x $perlprefix/bin/perl ]; then
-            exit 0
-        fi
-    done
+    if [ -x $sambaprefix/bin/wbinfo ]; then
+      samba_found="yes"
+    fi
+done
+if test "$samba_found" = "no"; then
+    echo "WARNING: Samba wbinfo not found in default location. wbinfo_group.pl may not work on this machine"
+fi
+for perlprefix in /usr /usr/local /opt /opt/perl
+do
+    if [ -x $perlprefix/bin/perl ]; then
+        exit 0
+    fi
 done
 exit 1
diff -u -r -N squid-3.1.10/include/version.h squid-3.1.11/include/version.h
--- squid-3.1.10/include/version.h	2010-12-22 18:48:27.000000000 +1300
+++ squid-3.1.11/include/version.h	2011-02-08 17:07:06.000000000 +1300
@@ -9,7 +9,7 @@
  */
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 1292996814
+#define SQUID_RELEASE_TIME 1297137949
 #endif
 
 #ifndef APP_SHORTNAME
diff -u -r -N squid-3.1.10/lib/MemPool.cc squid-3.1.11/lib/MemPool.cc
--- squid-3.1.10/lib/MemPool.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/lib/MemPool.cc	2011-02-08 17:05:51.000000000 +1300
@@ -430,12 +430,15 @@
 {
     MemImplementingAllocator *find_pool, *prev_pool;
 
-    assert(MemPools::GetInstance().pools != NULL && "Called MemImplementingAllocator::~MemImplementingAllocator, but no pool exists!");
+    /* Abort if the associated pool doesn't exist */
+    assert(MemPools::GetInstance().pools != NULL );
 
     /* Pool clean, remove it from List and free */
     for (find_pool = MemPools::GetInstance().pools, prev_pool = NULL; (find_pool && this != find_pool); find_pool = find_pool->next)
         prev_pool = find_pool;
-    assert(find_pool != NULL && "pool to destroy not found");
+
+    /* make sure that we found the pool to destroy */
+    assert(find_pool != NULL);
 
     if (prev_pool)
         prev_pool->next = next;
diff -u -r -N squid-3.1.10/lib/MemPoolChunked.cc squid-3.1.11/lib/MemPoolChunked.cc
--- squid-3.1.10/lib/MemPoolChunked.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/lib/MemPoolChunked.cc	2011-02-08 17:05:51.000000000 +1300
@@ -321,7 +321,7 @@
 
     flushMetersFull();
     clean(0);
-    assert(meter.inuse.level == 0 && "While trying to destroy pool");
+    assert(meter.inuse.level == 0);
 
     chunk = Chunks;
     while ( (fchunk = chunk) != NULL) {
diff -u -r -N squid-3.1.10/lib/MemPoolMalloc.cc squid-3.1.11/lib/MemPoolMalloc.cc
--- squid-3.1.10/lib/MemPoolMalloc.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/lib/MemPoolMalloc.cc	2011-02-08 17:05:51.000000000 +1300
@@ -120,7 +120,7 @@
 
 MemPoolMalloc::~MemPoolMalloc()
 {
-    assert(meter.inuse.level == 0 && "While trying to destroy pool");
+    assert(meter.inuse.level == 0);
     clean(0);
 }
 
diff -u -r -N squid-3.1.10/RELEASENOTES.html squid-3.1.11/RELEASENOTES.html
--- squid-3.1.10/RELEASENOTES.html	2010-12-22 19:23:45.000000000 +1300
+++ squid-3.1.11/RELEASENOTES.html	2011-02-08 17:33:08.000000000 +1300
@@ -2,10 +2,10 @@
 <HTML>
 <HEAD>
  <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.66">
- <TITLE>Squid 3.1.10 release notes</TITLE>
+ <TITLE>Squid 3.1.11 release notes</TITLE>
 </HEAD>
 <BODY>
-<H1>Squid 3.1.10 release notes</H1>
+<H1>Squid 3.1.11 release notes</H1>
 
 <H2>Squid Developers</H2>
 <HR>
@@ -70,7 +70,7 @@
 <HR>
 <H2><A NAME="s1">1.</A> <A HREF="#toc1">Notice</A></H2>
 
-<P>The Squid Team are pleased to announce the release of Squid-3.1.10</P>
+<P>The Squid Team are pleased to announce the release of Squid-3.1.11</P>
 <P>This new release is available for download from 
 <A HREF="http://www.squid-cache.org/Versions/v3/3.1/">http://www.squid-cache.org/Versions/v3/3.1/</A> or the 
 <A HREF="http://www.squid-cache.org/Mirrors/http-mirrors.html">mirrors</A>.</P>
@@ -811,45 +811,17 @@
 </PRE>
 </P>
 
-<DT><B>ftp_epsv</B><DD>
-<P>
-<PRE>
-        FTP Protocol extensions permit the use of a special "EPSV" command.
-
-        NATs may be able to put the connection on a "fast path" through the
-        translator using EPSV, as the EPRT command will never be used and therefore,
-        translation of the data portion of the segments will never be needed.
-
-        Turning this OFF will prevent EPSV being attempted.
+<DT><B>ftp_eprt</B><DD>
+<P>New directive added with squid-3.1.11 to control whether Squid uses EPRT extension
+for efficient NAT handling and IPv6 protocol support in FTP.</P>
 
-        WARNING: Doing so will convert Squid back to the old behavior with all
-        the related problems with external NAT devices/layers.
-
-        Requires ftp_passive to be ON (default) for any effect.
-        
-</PRE>
-</P>
+<DT><B>ftp_epsv</B><DD>
+<P>New directive to control whether Squid uses EPSV extension for
+efficient NAT handling and IPv6 protocol support in FTP.</P>
 
 <DT><B>ftp_epsv_all</B><DD>
-<P>
-<PRE>
-        FTP Protocol extensions permit the use of a special "EPSV ALL" command.
-
-        NATs may be able to put the connection on a "fast path" through the
-        translator, as the EPRT command will never be used and therefore,
-        translation of the data portion of the segments will never be needed.
-
-        When a client only expects to do two-way FTP transfers this may be useful.
-        If Squid finds that it must do a three-way FTP transfer after issuing
-        an EPSV ALL command, the FTP session will fail.
-
-        If you have any doubts about this option do not use it.
-        Squid will nicely attempt all other connection methods.
-
-        Requires ftp_passive to be ON (default)
-        
-</PRE>
-</P>
+<P>New directive to control whether Squid uses "EPSV ALL" extension for
+efficient NAT handling and IPv6 protocol support in FTP.</P>
 
 <DT><B>forward_max_tries</B><DD>
 <P>Controls how many different forward paths Squid will try
diff -u -r -N squid-3.1.10/SPONSORS squid-3.1.11/SPONSORS
--- squid-3.1.10/SPONSORS	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/SPONSORS	2011-02-08 17:05:51.000000000 +1300
@@ -82,3 +82,9 @@
 
 	Provided developement and testing resources for Solaris /dev/poll
 	support.
+
+Yahoo! Inc. - http://www.yahoo.com/
+
+	Yahoo! Inc. supported the development of improved refresh
+	logics. Many thanks to Yahoo! Inc. for supporting the development
+	of these features.
diff -u -r -N squid-3.1.10/src/adaptation/ecap/Host.cc squid-3.1.11/src/adaptation/ecap/Host.cc
--- squid-3.1.10/src/adaptation/ecap/Host.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/adaptation/ecap/Host.cc	2011-02-08 17:05:51.000000000 +1300
@@ -25,6 +25,7 @@
     // this code can run only once
 
     libecap::headerReferer.assignHostId(HDR_REFERER);
+    libecap::headerContentLength.assignHostId(HDR_CONTENT_LENGTH);
 
     libecap::protocolHttp.assignHostId(PROTO_HTTP);
     libecap::protocolHttps.assignHostId(PROTO_HTTPS);
diff -u -r -N squid-3.1.10/src/adaptation/ecap/MessageRep.cc squid-3.1.11/src/adaptation/ecap/MessageRep.cc
--- squid-3.1.10/src/adaptation/ecap/MessageRep.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/adaptation/ecap/MessageRep.cc	2011-02-08 17:05:51.000000000 +1300
@@ -48,6 +48,9 @@
     HttpHeaderEntry *e = new HttpHeaderEntry(squidId, name.image().c_str(),
             value.toString().c_str());
     theHeader.addEntry(e);
+
+    if (squidId == HDR_CONTENT_LENGTH)
+	    theMessage.content_length = theHeader.getInt64(HDR_CONTENT_LENGTH);
 }
 
 void
@@ -58,6 +61,9 @@
         theHeader.delByName(name.image().c_str());
     else
         theHeader.delById(squidId);
+
+    if (squidId == HDR_CONTENT_LENGTH)
+	    theMessage.content_length = theHeader.getInt64(HDR_CONTENT_LENGTH);
 }
 
 libecap::Area
diff -u -r -N squid-3.1.10/src/adaptation/ecap/XactionRep.cc squid-3.1.11/src/adaptation/ecap/XactionRep.cc
--- squid-3.1.10/src/adaptation/ecap/XactionRep.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/adaptation/ecap/XactionRep.cc	2011-02-08 17:05:51.000000000 +1300
@@ -88,7 +88,7 @@
         }
     }
 
-    {
+    if (proxyingVb == opOn) {
         BodyPipe::Pointer body_pipe = theVirginRep.raw().body_pipe;
         if (body_pipe != NULL) {
             Must(body_pipe->stillConsuming(this));
diff -u -r -N squid-3.1.10/src/auth/negotiate/auth_negotiate.cc squid-3.1.11/src/auth/negotiate/auth_negotiate.cc
--- squid-3.1.10/src/auth/negotiate/auth_negotiate.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/auth/negotiate/auth_negotiate.cc	2011-02-08 17:05:51.000000000 +1300
@@ -164,17 +164,6 @@
     } else {
         debugs(29, 0, "AuthNegotiateConfig::parse: unrecognised negotiate auth scheme parameter '" << param_str << "'");
     }
-
-    /*
-     * disable client side request pipelining. There is a race with
-     * Negotiate when the client sends a second request on an Negotiate
-     * connection before the authenticate challenge is sent. With
-     * this patch, the client may fail to authenticate, but squid's
-     * state will be preserved.  Caveats: this should be a post-parse
-     * test, but that can wait for the modular parser to be integrated.
-     */
-    if (authenticate)
-        Config.onoff.pipeline_prefetch = 0;
 }
 
 const char *
diff -u -r -N squid-3.1.10/src/auth/ntlm/auth_ntlm.cc squid-3.1.11/src/auth/ntlm/auth_ntlm.cc
--- squid-3.1.10/src/auth/ntlm/auth_ntlm.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/auth/ntlm/auth_ntlm.cc	2011-02-08 17:05:51.000000000 +1300
@@ -146,17 +146,6 @@
     } else {
         debugs(29, 0, "AuthNTLMConfig::parse: unrecognised ntlm auth scheme parameter '" << param_str << "'");
     }
-
-    /*
-     * disable client side request pipelining. There is a race with
-     * NTLM when the client sends a second request on an NTLM
-     * connection before the authenticate challenge is sent. With
-     * this patch, the client may fail to authenticate, but squid's
-     * state will be preserved.  Caveats: this should be a post-parse
-     * test, but that can wait for the modular parser to be integrated.
-     */
-    if (authenticate)
-        Config.onoff.pipeline_prefetch = 0;
 }
 
 const char *
diff -u -r -N squid-3.1.10/src/cache_cf.cc squid-3.1.11/src/cache_cf.cc
--- squid-3.1.10/src/cache_cf.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/cache_cf.cc	2011-02-08 17:05:51.000000000 +1300
@@ -745,6 +745,22 @@
                " Change client_request_buffer_max or request_header_max_size limits.",
                (uint32_t)Config.maxRequestBufferSize, (uint32_t)Config.maxRequestHeaderSize);
     }
+
+    /*
+     * disable client side request pipelining. There is a race with
+     * Negotiate and NTLM when the client sends a second request on an
+     * connection before the authenticate challenge is sent. With
+     * pipelining OFF, the client may fail to authenticate, but squid's
+     * state will be preserved.
+     */
+    if (Config.onoff.pipeline_prefetch) {
+        AuthConfig *nego = AuthConfig::Find("Negotiate");
+        AuthConfig *ntlm = AuthConfig::Find("NTLM");
+        if ((nego && nego->active()) || (ntlm && ntlm->active())) {
+            debugs(3, DBG_IMPORTANT, "WARNING: pipeline_prefetch breaks NTLM and Negotiate authentication. Forced OFF.");
+            Config.onoff.pipeline_prefetch = 0;
+        }
+    }
 }
 
 /** Parse a line containing an obsolete directive.
diff -u -r -N squid-3.1.10/src/cf.data.pre squid-3.1.11/src/cf.data.pre
--- squid-3.1.10/src/cf.data.pre	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/cf.data.pre	2011-02-08 17:05:51.000000000 +1300
@@ -671,7 +671,9 @@
 
 	acl aclname maxconn number
 	  # This will be matched when the client's IP address has
-	  # more than <number> HTTP connections established. [fast]
+	  # more than <number> TCP connections established. [fast]
+	  # NOTE: This only measures direct TCP links so X-Forwarded-For
+	  # indirect clients are not counted.
 
 	acl aclname max_user_ip [-s] number
 	  # This will be matched when the user attempts to log in from more
@@ -831,6 +833,9 @@
 	Controls whether the indirect client address
 	(see follow_x_forwarded_for) is used instead of the
 	direct client address in acl matching.
+
+	NOTE: maxconn ACL considers direct TCP links and indirect
+	      clients will always have zero. So no match.
 DOC_END
 
 NAME: delay_pool_uses_indirect_client
@@ -1480,14 +1485,18 @@
 	an additional ACL needs to be used which ensures the IPv6-bound traffic
 	is never forced or permitted out the IPv4 interface.
 
+	# IPv6 destination test along with a dummy access control to perofrm the required DNS
+	# This MUST be place before any ALLOW rules.
 	acl to_ipv6 dst ipv6
-	tcp_outgoing_address 2002::c001 good_service_net to_ipv6
+	http_access deny ipv6 !all
+
+	tcp_outgoing_address 2001:db8::c001 good_service_net to_ipv6
 	tcp_outgoing_address 10.1.0.2 good_service_net !to_ipv6
 
-	tcp_outgoing_address 2002::beef normal_service_net to_ipv6
+	tcp_outgoing_address 2001:db8::beef normal_service_net to_ipv6
 	tcp_outgoing_address 10.1.0.1 normal_service_net !to_ipv6
 
-	tcp_outgoing_address 2002::1 to_ipv6
+	tcp_outgoing_address 2001:db8::1 to_ipv6
 	tcp_outgoing_address 10.1.0.3 !to_ipv6
 
 	WARNING:
@@ -3067,6 +3076,29 @@
 	Requires ftp_passive to be ON (default) for any effect.
 DOC_END
 
+NAME: ftp_eprt
+TYPE: onoff
+DEFAULT: on
+LOC: Config.Ftp.eprt
+DOC_START
+	FTP Protocol extensions permit the use of a special "EPRT" command.
+
+	This extension provides a protocol neutral alternative to the
+	IPv4-only PORT command. When supported it enables active FTP data
+	channels over IPv6 and efficient NAT handling.
+
+	Turning this OFF will prevent EPRT being attempted and will skip
+	straight to using PORT for IPv4 servers.
+
+	Some devices are known to not handle this extension correctly and
+	may result in crashes. Devices which suport EPRT enough to fail
+	cleanly will result in Squid attempting PORT anyway. This directive
+	should only be disabled when EPRT results in device failures.
+
+	WARNING: Doing so will convert Squid back to the old behavior with all
+	the related problems with external NAT devices/layers and IPv4-only FTP.
+DOC_END
+
 NAME: ftp_sanitycheck
 TYPE: onoff
 DEFAULT: on
@@ -5381,7 +5413,7 @@
 	    Example: deny_info ERR_CUSTOM_ACCESS_DENIED bad_guys
 
 	Alternatively you can specify an error URL. The browsers will
-	get redirected (302) to the specified URL. %s in the redirection
+	get redirected (302 or 307) to the specified URL. %s in the redirection
 	URL will be replaced by the requested URL.
 
 	Alternatively you can tell Squid to reset the TCP connection
@@ -6644,6 +6676,8 @@
 
 	Defaults to off for bandwidth management and access logging
 	reasons.
+
+	WARNING: pipelining breaks NTLM and Negotiate/Kerberos authentication.
 DOC_END
 
 NAME: high_response_time_warning
diff -u -r -N squid-3.1.10/src/client_side.cc squid-3.1.11/src/client_side.cc
--- squid-3.1.10/src/client_side.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/client_side.cc	2011-02-08 17:05:51.000000000 +1300
@@ -714,12 +714,6 @@
 {
     switch (r->method.id()) {
 
-    case METHOD_PUT:
-
-    case METHOD_POST:
-        /* PUT/POST requires a request entity */
-        return (r->content_length >= 0);
-
     case METHOD_GET:
 
     case METHOD_HEAD:
diff -u -r -N squid-3.1.10/src/enums.h squid-3.1.11/src/enums.h
--- squid-3.1.10/src/enums.h	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/enums.h	2011-02-08 17:05:51.000000000 +1300
@@ -103,6 +103,7 @@
     ERR_INVALID_RESP,
     ERR_ICAP_FAILURE,
     ERR_UNSUP_HTTPVERSION,     /* HTTP version is not supported */
+    ERR_GATEWAY_FAILURE,
     ERR_MAX
 } err_type;
 
@@ -147,6 +148,7 @@
     CC_MAX_STALE,
     CC_MIN_FRESH,
     CC_ONLY_IF_CACHED,
+    CC_STALE_IF_ERROR,
     CC_OTHER,
     CC_ENUM_END
 } http_hdr_cc_type;
diff -u -r -N squid-3.1.10/src/errorpage.cc squid-3.1.11/src/errorpage.cc
--- squid-3.1.10/src/errorpage.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/errorpage.cc	2011-02-08 17:05:51.000000000 +1300
@@ -870,7 +870,10 @@
 
     if (strchr(name, ':')) {
         /* Redirection */
-        rep->setHeaders(HTTP_MOVED_TEMPORARILY, NULL, "text/html", 0, 0, -1);
+        if (request->method != METHOD_GET && request->method != METHOD_HEAD && request->http_ver >= HttpVersion(1,1))
+            rep->setHeaders(HTTP_TEMPORARY_REDIRECT, NULL, "text/html", 0, 0, -1);
+        else
+            rep->setHeaders(HTTP_MOVED_TEMPORARILY, NULL, "text/html", 0, 0, -1);
 
         if (request) {
             char *quoted_url = rfc1738_escape_part(urlCanonical(request));
@@ -937,6 +940,7 @@
     String hdr;
     char dir[256];
     int l = 0;
+    const char *freePage = NULL;
 
     /** error_directory option in squid.conf overrides translations.
      * Custom errors are always found either in error_directory or the templates directory.
@@ -1010,6 +1014,7 @@
                 if (m) {
                     /* store the language we found for the Content-Language reply header */
                     err_language = xstrdup(reset);
+                    freePage = m;
                     break;
                 } else if (Config.errorLogMissingLanguages) {
                     debugs(4, DBG_IMPORTANT, "WARNING: Error Pages Missing Language: " << reset);
@@ -1061,5 +1066,9 @@
 
     assert((size_t)content->contentSize() == strlen(content->content()));
 
+#if USE_ERR_LOCALES
+    safe_free(freePage);
+#endif
+
     return content;
 }
diff -u -r -N squid-3.1.10/src/external_acl.cc squid-3.1.11/src/external_acl.cc
--- squid-3.1.10/src/external_acl.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/external_acl.cc	2011-02-08 17:05:51.000000000 +1300
@@ -1051,7 +1051,7 @@
     ttl = entry->result == 1 ? def->ttl : def->negative_ttl;
     ttl = (ttl * (100 - def->grace)) / 100;
 
-    if (entry->date + ttl < squid_curtime)
+    if (entry->date + ttl <= squid_curtime)
         return 1;
     else
         return 0;
diff -u -r -N squid-3.1.10/src/fqdncache.cc squid-3.1.11/src/fqdncache.cc
--- squid-3.1.10/src/fqdncache.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/fqdncache.cc	2011-02-08 17:05:51.000000000 +1300
@@ -153,6 +153,9 @@
 /// \ingroup FQDNCacheInternal
 static long fqdncache_high = 200;
 
+/// \ingroup FQDNCacheInternal
+inline int fqdncacheCount() { return fqdn_table ? fqdn_table->count : 0; }
+
 int
 fqdncache_entry::age() const
 {
@@ -230,7 +233,7 @@
     eventAdd("fqdncache_purgelru", fqdncache_purgelru, NULL, 10.0, 1);
 
     for (m = lru_list.tail; m; m = prev) {
-        if (memInUse(MEM_FQDNCACHE_ENTRY) < fqdncache_low)
+        if (fqdncacheCount() < fqdncache_low)
             break;
 
         prev = m->prev;
@@ -700,9 +703,12 @@
 
     storeAppendPrintf(sentry, "FQDN Cache Statistics:\n");
 
-    storeAppendPrintf(sentry, "FQDNcache Entries: %d\n",
+    storeAppendPrintf(sentry, "FQDNcache Entries In Use: %d\n",
                       memInUse(MEM_FQDNCACHE_ENTRY));
 
+    storeAppendPrintf(sentry, "FQDNcache Entries Cached: %d\n",
+                      fqdncacheCount());
+
     storeAppendPrintf(sentry, "FQDNcache Requests: %d\n",
                       FqdncacheStats.requests);
 
@@ -891,7 +897,7 @@
 
     case FQDN_ENT:
         Answer = snmp_var_new_integer(Var->name, Var->name_length,
-                                      memInUse(MEM_FQDNCACHE_ENTRY),
+                                      fqdncacheCount(),
                                       SMI_GAUGE32);
         break;
 
diff -u -r -N squid-3.1.10/src/ftp.cc squid-3.1.11/src/ftp.cc
--- squid-3.1.10/src/ftp.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/ftp.cc	2011-02-08 17:05:51.000000000 +1300
@@ -3000,16 +3000,23 @@
 static void
 ftpSendEPRT(FtpStateData * ftpState)
 {
-    int fd;
-    IpAddress addr;
-    struct addrinfo *AI = NULL;
-    char buf[MAX_IPSTRLEN];
-
     if (Config.Ftp.epsv_all && ftpState->flags.epsv_all_sent) {
         debugs(9, DBG_IMPORTANT, "FTP does not allow EPRT method after 'EPSV ALL' has been sent.");
         return;
     }
 
+    if (!Config.Ftp.eprt) {
+        /* Disabled. Switch immediately to attempting old PORT command. */
+        debugs(9, 3, "EPRT disabled by local administrator");
+        ftpSendPORT(ftpState);
+        return;
+    }
+
+    int fd;
+    IpAddress addr;
+    struct addrinfo *AI = NULL;
+    char buf[MAX_IPSTRLEN];
+
     debugs(9, 3, HERE);
     ftpState->flags.pasv_supported = 0;
     fd = ftpOpenListenSocket(ftpState, 0);
diff -u -r -N squid-3.1.10/src/HttpHdrCc.cc squid-3.1.11/src/HttpHdrCc.cc
--- squid-3.1.10/src/HttpHdrCc.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/HttpHdrCc.cc	2011-02-08 17:05:51.000000000 +1300
@@ -51,6 +51,7 @@
     {"max-age", (http_hdr_type)CC_MAX_AGE},
     {"s-maxage", (http_hdr_type)CC_S_MAXAGE},
     {"max-stale", (http_hdr_type)CC_MAX_STALE},
+    {"stale-if-error", (http_hdr_type)CC_STALE_IF_ERROR},
     {"min-fresh", (http_hdr_type)CC_MIN_FRESH},
     {"Other,", (http_hdr_type)CC_OTHER}	/* ',' will protect from matches */
 };
@@ -192,6 +193,14 @@
 
             break;
 
+        case CC_STALE_IF_ERROR:
+            if (!p || !httpHeaderParseInt(p, &cc->stale_if_error)) {
+                debugs(65, 2, "cc: invalid stale-if-error specs near '" << item << "'");
+                cc->stale_if_error = -1;
+                EBIT_CLR(cc->mask, type);
+            }
+            break;
+
         case CC_OTHER:
 
             if (cc->other.size())
diff -u -r -N squid-3.1.10/src/HttpHeader.cc squid-3.1.11/src/HttpHeader.cc
--- squid-3.1.10/src/HttpHeader.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/HttpHeader.cc	2011-02-08 17:05:51.000000000 +1300
@@ -1178,7 +1178,7 @@
     Packer p;
     assert(sc);
     /* remove old directives if any */
-    delById(HDR_RANGE);
+    delById(HDR_SURROGATE_CONTROL);
     /* pack into mb */
     mb.init();
     packerToMemInit(&p, &mb);
diff -u -r -N squid-3.1.10/src/HttpMsg.cc squid-3.1.11/src/HttpMsg.cc
--- squid-3.1.10/src/HttpMsg.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/HttpMsg.cc	2011-02-08 17:05:51.000000000 +1300
@@ -328,21 +328,6 @@
          */
         return !httpHeaderHasConnDir(hdr, "close");
     } else {
-        /*
-         * Persistent connections in Netscape 3.x are allegedly broken,
-         * return false if it is a browser connection.  If there is a
-         * VIA header, then we assume this is NOT a browser connection.
-         */
-        const char *agent = hdr->getStr(HDR_USER_AGENT);
-
-        if (agent && !hdr->has(HDR_VIA)) {
-            if (!strncasecmp(agent, "Mozilla/3.", 10))
-                return 0;
-
-            if (!strncasecmp(agent, "Netscape/3.", 11))
-                return 0;
-        }
-
         /* for old versions of HTTP: persistent if has "keep-alive" */
         return httpHeaderHasConnDir(hdr, "keep-alive");
     }
diff -u -r -N squid-3.1.10/src/HttpRequest.cc squid-3.1.11/src/HttpRequest.cc
--- squid-3.1.10/src/HttpRequest.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/HttpRequest.cc	2011-02-08 17:05:51.000000000 +1300
@@ -480,7 +480,7 @@
 }
 
 /*
- * Indicate whether or not we would usually expect an entity-body
+ * Indicate whether or not we would expect an entity-body
  * along with this request
  */
 bool
@@ -489,28 +489,18 @@
     bool expectBody = false;
 
     /*
-     * GET and HEAD don't usually have bodies, but we should be prepared
-     * to accept one if the request_entities directive is set
+     * Note: Checks for message validity is in clientIsContentLengthValid().
+     * this just checks if a entity-body is expected based on HTTP message syntax
      */
-
-    if (method == METHOD_GET || method == METHOD_HEAD)
-        expectBody = Config.onoff.request_entities ? true : false;
-    else if (method == METHOD_PUT || method == METHOD_POST)
-        expectBody = true;
-    else if (header.chunked())
+    if (header.chunked()) {
         expectBody = true;
-    else if (content_length >= 0)
+        theSize = -1;
+    } else if (content_length >= 0) {
         expectBody = true;
-    else
+        theSize = content_length;
+    } else {
         expectBody = false;
-
-    if (expectBody) {
-        if (header.chunked())
-            theSize = -1;
-        else if (content_length >= 0)
-            theSize = content_length;
-        else
-            theSize = -1;
+        // theSize undefined
     }
 
     return expectBody;
diff -u -r -N squid-3.1.10/src/ipcache.cc squid-3.1.11/src/ipcache.cc
--- squid-3.1.10/src/ipcache.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/ipcache.cc	2011-02-08 17:05:51.000000000 +1300
@@ -163,6 +163,9 @@
 extern int _dns_ttl_;
 #endif
 
+/// \ingroup IPCacheInternal
+inline int ipcacheCount() { return ip_table ? ip_table->count : 0; }
+
 int
 ipcache_entry::age() const
 {
@@ -237,7 +240,7 @@
     eventAdd("ipcache_purgelru", ipcache_purgelru, NULL, 10.0, 1);
 
     for (m = lru_list.tail; m; m = prev) {
-        if (memInUse(MEM_IPCACHE_ENTRY) < ipcache_low)
+        if (ipcacheCount() < ipcache_low)
             break;
 
         prev = m->prev;
@@ -918,8 +921,10 @@
     dlink_node *m;
     assert(ip_table != NULL);
     storeAppendPrintf(sentry, "IP Cache Statistics:\n");
-    storeAppendPrintf(sentry, "IPcache Entries:  %d\n",
+    storeAppendPrintf(sentry, "IPcache Entries In Use:  %d\n",
                       memInUse(MEM_IPCACHE_ENTRY));
+    storeAppendPrintf(sentry, "IPcache Entries Cached:  %d\n",
+                      ipcacheCount());
     storeAppendPrintf(sentry, "IPcache Requests: %d\n",
                       IpcacheStats.requests);
     storeAppendPrintf(sentry, "IPcache Hits:            %d\n",
@@ -1501,7 +1506,7 @@
 
     case IP_ENT:
         Answer = snmp_var_new_integer(Var->name, Var->name_length,
-                                      memInUse(MEM_IPCACHE_ENTRY),
+                                      ipcacheCount(),
                                       SMI_GAUGE32);
         break;
 
diff -u -r -N squid-3.1.10/src/logfile.cc squid-3.1.11/src/logfile.cc
--- squid-3.1.10/src/logfile.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/logfile.cc	2011-02-08 17:05:51.000000000 +1300
@@ -128,6 +128,8 @@
                        "\tThe parent directory must be writeable by the\n"
                        "\tuser '%s', which is the cache_effective_user\n"
                        "\tset in squid.conf.", path, Config.effectiveUser);
+            } else if (EISDIR == errno && fatal_flag) {
+                fatalf("Cannot open '%s' because it is a directory, not a file.\n", path);
             } else {
                 debugs(50, 1, "logfileOpen: " << path << ": " << xstrerror());
                 return NULL;
diff -u -r -N squid-3.1.10/src/MemObject.cc squid-3.1.11/src/MemObject.cc
--- squid-3.1.10/src/MemObject.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/MemObject.cc	2011-02-08 17:05:51.000000000 +1300
@@ -207,10 +207,12 @@
 };
 
 void
-MemObject::stat (MemBuf * mb) const
+MemObject::stat(MemBuf * mb) const
 {
     mb->Printf("\t%s %s\n",
                RequestMethodStr(method), log_url);
+    if (vary_headers)
+        mb->Printf("\tvary_headers: %s\n", vary_headers);
     mb->Printf("\tinmem_lo: %"PRId64"\n", inmem_lo);
     mb->Printf("\tinmem_hi: %"PRId64"\n", data_hdr.endOffset());
     mb->Printf("\tswapout: %"PRId64" bytes queued\n",
diff -u -r -N squid-3.1.10/src/redirect.cc squid-3.1.11/src/redirect.cc
--- squid-3.1.10/src/redirect.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/redirect.cc	2011-02-08 17:05:51.000000000 +1300
@@ -42,9 +42,13 @@
 #include "acl/Checklist.h"
 #include "HttpRequest.h"
 #include "client_side.h"
+#include "client_side_reply.h"
 #include "helper.h"
 #include "rfc1738.h"
 
+/// url maximum lengh + extra informations passed to redirector
+#define MAX_REDIRECTOR_REQUEST_STRLEN (MAX_URL + 1024)
+
 typedef struct {
     void *data;
     char *orig_url;
@@ -114,7 +118,9 @@
     ConnStateData * conn = http->getConn();
     redirectStateData *r = NULL;
     const char *fqdn;
-    char buf[8192];
+    char buf[MAX_REDIRECTOR_REQUEST_STRLEN];
+    int sz;
+    http_status status;
     char claddr[MAX_IPSTRLEN];
     char myaddr[MAX_IPSTRLEN];
     assert(http);
@@ -164,14 +170,41 @@
     if ((fqdn = fqdncache_gethostbyaddr(r->client_addr, 0)) == NULL)
         fqdn = dash_str;
 
-    snprintf(buf, 8192, "%s %s/%s %s %s myip=%s myport=%d\n",
-             r->orig_url,
-             r->client_addr.NtoA(claddr,MAX_IPSTRLEN),
-             fqdn,
-             r->client_ident[0] ? rfc1738_escape(r->client_ident) : dash_str,
-             r->method_s,
-             http->request->my_addr.NtoA(myaddr,MAX_IPSTRLEN),
-             http->request->my_addr.GetPort());
+    sz = snprintf(buf, MAX_REDIRECTOR_REQUEST_STRLEN, "%s %s/%s %s %s myip=%s myport=%d\n",
+                  r->orig_url,
+                  r->client_addr.NtoA(claddr,MAX_IPSTRLEN),
+                  fqdn,
+                  r->client_ident[0] ? rfc1738_escape(r->client_ident) : dash_str,
+                  r->method_s,
+                  http->request->my_addr.NtoA(myaddr,MAX_IPSTRLEN),
+                  http->request->my_addr.GetPort());
+
+    if ((sz<=0) || (sz>=MAX_REDIRECTOR_REQUEST_STRLEN)) {
+        if (sz<=0) {
+            status = HTTP_INTERNAL_SERVER_ERROR;
+            debugs(61, DBG_CRITICAL, "ERROR: Gateway Failure. Can not build request to be passed to redirector. Request ABORTED.");
+        } else {
+            status = HTTP_REQUEST_URI_TOO_LARGE;
+            debugs(61, DBG_CRITICAL, "ERROR: Gateway Failure. Request passed to redirector exceeds MAX_REDIRECTOR_REQUEST_STRLEN (" << MAX_REDIRECTOR_REQUEST_STRLEN << "). Request ABORTED.");
+        }
+
+        clientStreamNode *node = (clientStreamNode *)http->client_stream.tail->prev->data;
+        clientReplyContext *repContext = dynamic_cast<clientReplyContext *>(node->data.getRaw());
+        assert (repContext);
+        IpAddress tmpnoaddr;
+        tmpnoaddr.SetNoAddr();
+        repContext->setReplyToError(ERR_GATEWAY_FAILURE, status,
+                                    http->request->method, NULL,
+                                    http->getConn() != NULL ? http->getConn()->peer : tmpnoaddr,
+                                    http->request,
+                                    NULL,
+                                    http->getConn() != NULL && http->getConn()->auth_user_request != NULL ?
+                                    http->getConn()->auth_user_request : http->request->auth_user_request);
+
+        node = (clientStreamNode *)http->client_stream.tail->data;
+        clientStreamRead(node, http, node->readBuffer);
+        return;
+    }
 
     helperSubmit(redirectors, buf, redirectHandleReply, r);
 }
diff -u -r -N squid-3.1.10/src/refresh.cc squid-3.1.11/src/refresh.cc
--- squid-3.1.10/src/refresh.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/refresh.cc	2011-02-08 17:05:51.000000000 +1300
@@ -283,6 +283,15 @@
 
     debugs(22, 3, "Staleness = " << staleness);
 
+    // stale-if-error requires any failure be passed thru when its period is over.
+    if (request && entry->mem_obj && entry->mem_obj->getReply() && entry->mem_obj->getReply()->cache_control &&
+            EBIT_TEST(entry->mem_obj->getReply()->cache_control->mask, CC_STALE_IF_ERROR) &&
+            entry->mem_obj->getReply()->cache_control->stale_if_error < staleness) {
+
+        debugs(22, 3, "refreshCheck: stale-if-error period expired.");
+        request->flags.fail_on_validation_err = 1;
+    }
+
     if (EBIT_TEST(entry->flags, ENTRY_REVALIDATE) && staleness > -1
 #if HTTP_VIOLATIONS
             && !R->flags.ignore_must_revalidate
diff -u -r -N squid-3.1.10/src/StatHist.cc squid-3.1.11/src/StatHist.cc
--- squid-3.1.10/src/StatHist.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/StatHist.cc	2011-02-08 17:05:51.000000000 +1300
@@ -53,15 +53,10 @@
 static int statHistBin(const StatHist * H, double v);
 static double statHistVal(const StatHist * H, int bin);
 static StatHistBinDumper statHistBinDumper;
-#if !defined(_SQUID_HPUX_) || !defined(__GNUC__)
-/*
- * HP-UX and GCC (2.8?) give strange errors when these simple
- * functions are static.
- */
-static hbase_f Log;
-static hbase_f Exp;
-static hbase_f Null;
-#endif
+
+hbase_f Log;
+hbase_f Exp;
+hbase_f Null;
 
 /* low level init, higher level functions has less params */
 static void
@@ -274,9 +269,6 @@
 }
 
 /* log based histogram */
-#if !defined(_SQUID_HPUX_) || !defined(__GNUC__)
-static
-#endif
 double
 Log(double x)
 {
@@ -284,9 +276,6 @@
     return log(x + 1.0);
 }
 
-#if !defined(_SQUID_HPUX_) || !defined(__GNUC__)
-static
-#endif
 double
 Exp(double x)
 {
@@ -301,9 +290,6 @@
 
 /* linear histogram for enums */
 /* we want to be have [-1,last_enum+1] range to track out of range enums */
-#if !defined(_SQUID_HPUX_) || !defined(__GNUC__)
-static
-#endif
 double
 Null(double x)
 {
diff -u -r -N squid-3.1.10/src/String.cci squid-3.1.11/src/String.cci
--- squid-3.1.10/src/String.cci	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/String.cci	2011-02-08 17:05:51.000000000 +1300
@@ -175,7 +175,8 @@
 void
 String::cut(String::size_type newLength)
 {
-    if (newLength < 0 || newLength > len_) return;
+    // size_type is size_t, unsigned. No need to check for newLength <0
+    if (newLength > len_) return;
 
     len_ = newLength;
 
diff -u -r -N squid-3.1.10/src/structs.h squid-3.1.11/src/structs.h
--- squid-3.1.10/src/structs.h	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/structs.h	2011-02-08 17:05:51.000000000 +1300
@@ -503,6 +503,7 @@
         int passive;
         int epsv_all;
         int epsv;
+        int eprt;
         int sanitycheck;
         int telnet;
     } Ftp;
@@ -724,6 +725,7 @@
     int max_age;
     int s_maxage;
     int max_stale;
+    int stale_if_error;
     int min_fresh;
     String other;
 };
diff -u -r -N squid-3.1.10/src/tools.cc squid-3.1.11/src/tools.cc
--- squid-3.1.10/src/tools.cc	2010-12-22 18:46:56.000000000 +1300
+++ squid-3.1.11/src/tools.cc	2011-02-08 17:05:51.000000000 +1300
@@ -235,13 +235,13 @@
 
     memset(r, '\0', sizeof(struct rusage));
 #if HAVE_GETRUSAGE && defined(RUSAGE_SELF)
-#ifdef _SQUID_SOLARIS_
+#if _SQUID_SOLARIS_
     /* Solaris 2.5 has getrusage() permission bug -- Arjan de Vet */
     enter_suid();
 #endif
 
     getrusage(RUSAGE_SELF, r);
-#ifdef _SQUID_SOLARIS_
+#if _SQUID_SOLARIS_
 
     leave_suid();
 #endif
